/*
 * @author Ranides Atterwim <ranides@gmail.com>
 * @copyright Ranides Atterwim
 * @license WTFPL
 * @url http://ranides.net/projects/assira.drafts
 */
package net.ranides.assira.collection.maps;

import net.ranides.assira.reflection.IClass;

/**
 *
 * @author Ranides Atterwim <ranides@gmail.com>
 */
public interface GenericEntry<K> {
    
    IClass<?> type();
    
    GenericKey<K,?> getKey();
    
    Object getValue();
    
    void setValue(Object value);
    
}
